Skip to main content
`Ctrl`+`K`

# earth_orientation_table

class astropy.utils.iers.earth_orientation_table

  Bases: `ScienceState`

  Default IERS table for Earth rotation and reference systems service.

  These tables are used to calculate the offsets between `UT1` and `UTC` and for conversion to Earth-based coordinate systems.

  The state itself is an IERS table, as an instance of one of the `IERS` classes. The default, the auto-updating `IERS_Auto` class, should suffice for most purposes.

  Examples

  To temporarily use the IERS-B file packaged with astropy:

      >>> from astropy.utils import iers
      >>> from astropy.time import Time
      >>> iers_b = iers.IERS_B.open(iers.IERS_B_FILE)
      >>> with iers.earth_orientation_table.set(iers_b):
      ...     print(Time('2000-01-01').ut1.isot)
      2000-01-01T00:00:00.355

  To use the most recent IERS-A file for the whole session:

      >>> iers_a = iers.IERS_A.open(iers.IERS_A_URL)
      >>> iers.earth_orientation_table.set(iers_a)
      <ScienceState earth_orientation_table: <IERS_A length=17463>...>

  To go back to the default (of `IERS_Auto`):

      >>> iers.earth_orientation_table.set(None)
      <ScienceState earth_orientation_table: <IERS_Auto length=17428>...>

  Methods Summary

  `validate`(value) | Validate the value and convert it to its native type, if necessary.

  Methods Documentation

  classmethod validate(value)

    Validate the value and convert it to its native type, if necessary.